Bug 1304086 - gnome dock stops updating properly after launching Juniper VPN applet
gnome dock stops updating properly after launching Juniper VPN applet
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-02 15:29 EST by Andy Wang
Modified: 2016-12-20 13:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:23:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Wang 2016-02-02 15:29:17 EST
Description of problem:
On a dual monitor system, launching the Juniper VPN Network Connect applet causes the gnome dock to stop adding new icons when applications are launched.

I thought maybe it was a generic Java icon issue, but I've yet to reproduce this with any other test case - sorry, was hoping for something that I could throw together as an attachment.

The symptoms are, launch the juniper VPN Network Connect applet from firefox with two monitors enabled, and the juniper vpn network connect icon does not appear in the gnome dock, and any icons that are in there are now stuck.  If you close an app that was on the dock (not pinned as a favorite) the icon goes does not go away, or launch a new non-pinned application, and it's icon does not show up.

The "launched" status of an application on the dock though appears to still be honored.

alt-f2 - r to restart the gnome shell makes it even worse.  In this scenario, the only icon that appears back on teh dock is the 9-dotted show all applications icon.  In order to get the dock back to running order I have to log out and back in.

I noticed that if I shut off my second monitor while launching the applet, everything is fine.
Comment 1 Fedora End Of Life 2016-11-24 10:21:48 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 13:23:48 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.